stream_flags_common.c File Reference

Common stuff for Stream flags coders. More...

`#include "stream_flags_common.h"`

## Functions

lzma_ret | lzma_stream_flags_compare (const lzma_stream_flags *a, const lzma_stream_flags *b)
| Compare two lzma_stream_flags structures. More...

## Variables

const uint8_t | lzma_header_magic [6] = { 0xFD, 0x37, 0x7A, 0x58, 0x5A, 0x00 }
const uint8_t | lzma_footer_magic [2] = { 0x59, 0x5A }

## Detailed Description

Common stuff for Stream flags coders.

## Function Documentation

## lzma_stream_flags_compare()

lzma_ret lzma_stream_flags_compare | ( | const lzma_stream_flags * | a,
|  | const lzma_stream_flags * | b
| ) |  |

Compare two lzma_stream_flags structures.

backward_size values are compared only if both are not LZMA_VLI_UNKNOWN.

Returns
  - LZMA_OK: Both are equal. If either had backward_size set to LZMA_VLI_UNKNOWN, backward_size values were not compared or validated.
  - LZMA_DATA_ERROR: The structures differ.
  - LZMA_OPTIONS_ERROR: version in either structure is greater than the maximum supported version (currently zero).
  - LZMA_PROG_ERROR: Invalid value, e.g. invalid check or backward_size.

Referenced by lzma_index_stream_flags().